<?php
/* Busqueda de registros de la tabla cr_prestamo_file redefinidos por el usuario. */
class Cr_prestamo_fileFN extends BaseCr_prestamo_fileFN
{
    public static function buscarEstadoDoc( $IdPrestamo )
    {
        $o_cr_cliente_fileFN = new Cr_cliente_fileFN();
        $o_Resource = $o_cr_cliente_fileFN->getConnect();
        $s_SQLQuery = "SELECT FlagCerrarDocumento FROM cr_prestamo WHERE IdPrestamo='{$IdPrestamo}';";
        $o_rs = mysql_query( $s_SQLQuery, $o_Resource );
        if( $o_rs )
        {
            $a_rw = mysql_fetch_array( $o_rs );
            return $a_rw['FlagCerrarDocumento'];
        }
        return "";
    }
    
    public static function numeroDocumento( $i_IdCli, $i_IdPr )
    {
        $o_class = new Cr_prestamo_fileFN();
        $o_class->setIdCliente( $i_IdCli );
        $o_class->setIdPrestamo( $i_IdPr );
        
        $a_ObjectBean = $o_class->select();
        $i_NumReg     = $o_class->selectNumRows();
        return $i_NumReg;
    }
}
?>